Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.impl.endpoint
Enum MEP

    java.lang.Object
      java.lang.Enum<MEP>
          org.mule.impl.endpoint.MEP

All Implemented Interfaces:
  Serializable, Comparable<MEP>

    public enum MEP

extends Enum<MEP>

Message Exchange Patterns

Enum Constant Summary
`InOnly`
`InOptionalOut`
`InOut`
`OutIn`
`OutOnly`
`OutOptionalIn`

Method Summary
`static MEP` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MEP[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InOnly

    public static final MEP InOnly

### InOut

    public static final MEP InOut

### InOptionalOut

    public static final MEP InOptionalOut

### OutOnly

    public static final MEP OutOnly

### OutIn

    public static final MEP OutIn

### OutOptionalIn

    public static final MEP OutOptionalIn

Method Detail

### values

    public static final MEP[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MEP c : MEP.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MEP valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.